// creator  : weidu.exe (version 23100)
// argument : _ULRAUN.DLG
// game		 : .
// source	 : ./override/_ULRAUN.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_ULRAUN~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 3 even though they appear after this state */
~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN BEGIN 0 // from:
  SAY #74510 /* ~What brings thee here, child of Gorion?  I am very busy and must ask thee to visit another time.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 /* Triggers after states #: 3 even though they appear after this state */
~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
ReactionGT(LastTalkedToBy,HOSTILE_UPPER)
~ THEN BEGIN 1 // from:
  SAY #88751 /* ~Someone disturbs me?!?  I have no time to talk with you <CHARNAME>.  Don't take it personally; I'm just a very busy man.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 /* Triggers after states #: 3 even though they appear after this state */
~ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)
~ THEN BEGIN 2 // from:
  SAY #74511 /* ~Why hast thou disturbed me here?  Have thee no manners? Get out!~ [_AJAN10] */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~Global("Arrested","GLOBAL",1)
~ THEN BEGIN 3 // from:
  SAY #74512 /* ~So, <CHARNAME>, you have sullied your father's name by defiling his home and bringing ruin to a peace that has lasted for centuries.  I spit on you and all of your friends; your transgressions will be punished in the most severe form.  I formally accuse you of the murders of Brunos Costak, and Rieltar Anchev.~ */
  IF ~PartyHasItem("RING25")
~ THEN REPLY #74513 /* ~But I have done nothing wrong!  Why have you accused me of such a thing?~ */ GOTO 4
  IF ~~ THEN REPLY #74515 /* ~Fine, do your worst you old coot.~ */ GOTO 6
  IF ~!PartyHasItem("RING25")
~ THEN REPLY #74516 /* ~But I have done nothing wrong! Why have you accused me of such a thing?~ */ GOTO 5
  IF ~Global("X#ULRAUN3","GLOBAL",0)
InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ULRAUN3","GLOBAL",1)~ EXTERN ~_KIVANJ~ 429
  IF ~Global("X#ULRAUN3","GLOBAL",0)
InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ULRAUN3","GLOBAL",1)~ EXTERN ~_IMOEN2~ 501
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #74517 /* ~Why have I accused you?  You were seen fleeing the murder scene.  Koveras found the identifying ring of a Shadow Thief assassin in your personal effects, and gold minted in Amn.  I feel that it is strong enough proof to accuse you.~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 5 // from: 3.2
  SAY #74518 /* ~You were seen fleeing the site of the murder by the guest known as Koveras.~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0 4.0 3.1
  SAY #74519 /* ~From everything we have seen and found it is not hard to figure what your purpose was.  From what I have been told, you have been trying to place all the misfortune of the Sword Coast squarely on the shoulders of the Iron Throne.  I assume you and your friends are assassins in the employ of Amn.  Perhaps you were sent up north to create discord in the region before an Amnish invasion.  It matters little, you and your friends are to be sent to Baldur's Gate where an appropriate punishment will be administered.~ */
  IF ~~ THEN DO ~StartCutSceneMode()
MoveToPoint([373.428])
DestroySelf()
~ UNSOLVED_JOURNAL #74520 /* ~Return to Candlekeep

Someone has gone to a lot of trouble to ensure that Ulraunt thinks we murdered the leaders of the Iron Throne.  Who would want the Iron Throne leaders dead... other than us, that is?~ */ EXIT
END
